---
search:
  tags:
    - Cart
    - POST
seo:
  description: >-
    Save an external cart ID for the authenticated user so it can be resumed
    later. Reference for the POST /api/v1/{app_id}/carts endpoint in the
    Customers API.
sidebar:
  label: Save a new cart reference
  badge: POST
title: Save a new cart reference
type: openapi-operation
---
Save an external cart ID for the authenticated user so it can be resumed later.

`POST /api/v1/{app_id}/carts`

**Request body** (`application/json`, required)

Cart creation data

- `cart_id` (string, required)
- `source` (string, required)

Request body example:

```json
{
  "cart_id": "string",
  "source": "string"
}
```

**Responses**

- `200` — OK
- `400` — Invalid request
- `401` — Unauthorized
- `409` — Duplicate cart
- `500` — Internal server error

Response example, 200:

```json
{
  "cart_id": "string",
  "created_at": "string",
  "id": "string",
  "source": "string",
  "updated_at": "string"
}
```
